AbstractActionWithNoRunningTest (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.gui.action, class: AbstractActionWithNoRunningTest

Package org.apache.jmeter.gui.action

# Class AbstractActionWithNoRunningTest

java.lang.Object
org.apache.jmeter.gui.action.AbstractAction
org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

All Implemented Interfaces:
  `Command`

Direct Known Subclasses:
  `ChangeLanguage`, `Close`, `ExitCommand`, `Load`, `Restart`, `RevertProject`, `TemplatesCommand`

public abstract class AbstractActionWithNoRunningTest extends AbstractAction
`AbstractAction` implementation that check no test is running before calling `doActionAfterCheck(ActionEvent)`

Since:
  3.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractActionWithNoRunningTest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final void`
  `doAction(ActionEvent e)`
  `protected abstract void`
  `doActionAfterCheck(ActionEvent e)`
  Called to handle `ActionEvent` only if no test is running

  ### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

  `getParentFrame, popupCheckExistingFileListener, popupShouldSave`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.jmeter.gui.action.Command

  `getActionNames`

- ## Constructor Details

  - ### AbstractActionWithNoRunningTest

    public AbstractActionWithNoRunningTest()

- ## Method Details

  - ### doAction

    public final void doAction(ActionEvent e) throws IllegalUserActionException
    Specified by:
      `doAction` in interface `Command`
    Overrides:
      `doAction` in class `AbstractAction`
    Throws:
      `IllegalUserActionException`
    See Also:
      - `Command.doAction(ActionEvent)`

  - ### doActionAfterCheck

    protected abstract void doActionAfterCheck(ActionEvent e) throws IllegalUserActionException
    Called to handle `ActionEvent` only if no test is running
    Parameters:
      `e` - `ActionEvent`
    Throws:
      `IllegalUserActionException` - when user action is invalid